Bug 48540 - Support the text-orientation CSS property
Summary: Support the text-orientation CSS property
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Dave Hyatt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-28 11:48 PDT by Dave Hyatt
Modified: 2011-03-08 20:18 PST (History)
10 users (show)

See Also:


Attachments
Not really for review yet. Testing builds. (47.99 KB, patch)
2011-03-04 15:14 PST, Dave Hyatt
no flags Details | Formatted Diff | Diff
Not for review yet. (47.68 KB, patch)
2011-03-07 11:06 PST, Dave Hyatt
no flags Details | Formatted Diff | Diff
Not for review yet. (61.08 KB, patch)
2011-03-07 12:21 PST, Dave Hyatt
no flags Details | Formatted Diff | Diff
Patch for review (195.60 KB, patch)
2011-03-08 11:54 PST, Dave Hyatt
mitz: review+
Details | Formatted Diff | Diff
Patch for review (195.73 KB, patch)
2011-03-08 12:26 PST, Dave Hyatt
mitz: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Hyatt 2010-10-28 11:48:31 PDT
Support the text-orientation CSS property (both back end and front end support).
Comment 1 Dave Hyatt 2011-03-04 15:14:12 PST
Created attachment 84810 [details]
Not really for review yet. Testing builds.
Comment 2 Dave Hyatt 2011-03-07 11:06:19 PST
Created attachment 84958 [details]
Not for review yet.
Comment 3 WebKit Review Bot 2011-03-07 11:11:43 PST
Attachment 84958 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/WebCore.exp.in', u'Source/W..." exit_code: 1

Source/WebCore/rendering/InlineFlowBox.cpp:328:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
Source/WebCore/platform/graphics/cocoa/FontPlatformData.h:132:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
Total errors found: 2 in 29 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Build Bot 2011-03-07 12:01:06 PST
Attachment 84958 [details] did not build on win:
Build output: http://queues.webkit.org/results/8105524
Comment 5 Dave Hyatt 2011-03-07 12:21:41 PST
Created attachment 84970 [details]
Not for review yet.
Comment 6 WebKit Review Bot 2011-03-07 12:23:58 PST
Attachment 84970 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/WebCore.exp.in', u'Source/W..." exit_code: 1

Source/WebCore/rendering/InlineFlowBox.cpp:328:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
Source/WebCore/platform/graphics/cocoa/FontPlatformData.h:132:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
Source/WebCore/platform/graphics/win/FontCustomPlatformDataCairo.cpp:35:  Missing space after ,  [whitespace/comma] [3]
Total errors found: 3 in 44 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Early Warning System Bot 2011-03-07 12:25:34 PST
Attachment 84958 [details] did not build on qt:
Build output: http://queues.webkit.org/results/8105530
Comment 8 WebKit Review Bot 2011-03-07 12:35:45 PST
Attachment 84958 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8098827
Comment 9 WebKit Review Bot 2011-03-07 14:06:12 PST
Attachment 84958 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8103613
Comment 10 Dave Hyatt 2011-03-08 11:54:51 PST
Created attachment 85073 [details]
Patch for review
Comment 11 WebKit Review Bot 2011-03-08 11:59:24 PST
Attachment 85073 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast..." exit_code: 1

Source/WebCore/rendering/InlineFlowBox.cpp:328:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
Source/WebCore/platform/graphics/cocoa/FontPlatformData.h:132:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
Source/WebCore/platform/graphics/FontFastPath.cpp:86:  Should only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/WebCore/platform/graphics/FontFastPath.cpp:125:  Should only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Source/WebCore/platform/graphics/win/FontCustomPlatformDataCairo.cpp:35:  Missing space after ,  [whitespace/comma] [3]
Source/WebCore/platform/graphics/SimpleFontData.h:155:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 6 in 49 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 mitz@webkit.org 2011-03-08 12:24:33 PST
Comment on attachment 85073 [details]
Patch for review

View in context: https://bugs.webkit.org/attachment.cgi?id=85073&action=review

> Source/WebCore/WebCore.xcodeproj/project.pbxproj:-5800
> -		FD3160A112B026F700C1A359 /* HRTFPanner.h in Headers */ = {isa = PBXBuildFile; fileRef = FD31606B12B026F700C1A359 /* HRTFPanner.h */; };

Did you remove this header from the project? Why?

> Source/WebCore/WebCore.xcodeproj/project.pbxproj:-20814
> -				FD3160A112B026F700C1A359 /* HRTFPanner.h in Headers */,

Ditto.

> Source/WebCore/css/CSSValueKeywords.in:796
> +vertical-right
> +upright

Can we keep these in alphabetical order?
Comment 13 Dave Hyatt 2011-03-08 12:26:04 PST
Created attachment 85079 [details]
Patch for review
Comment 14 WebKit Review Bot 2011-03-08 12:28:01 PST
Attachment 85079 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast..." exit_code: 1

Source/WebCore/platform/graphics/win/FontCustomPlatformDataCairo.cpp:35:  Missing space after ,  [whitespace/comma] [3]
Total errors found: 1 in 49 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 15 Dave Hyatt 2011-03-08 12:54:23 PST
Fixed in r80582.
Comment 16 Ryosuke Niwa 2011-03-08 17:48:35 PST
Leopard build fix in http://trac.webkit.org/changeset/80608.
Comment 17 Ryosuke Niwa 2011-03-08 18:03:58 PST
I tried to fix Chromium Linux in http://trac.webkit.org/changeset/80610 but we're still geting some build errors as of r80610 (http://build.webkit.org/builders/Chromium%20Linux%20Release/builds/24806/steps/compile-webkit/logs/stdio):

Source/WebCore/platform/graphics/chromium/SimpleFontDataLinux.cpp: In member function ‘void WebCore::SimpleFontData::platformInit()’:
Source/WebCore/platform/graphics/chromium/SimpleFontDataLinux.cpp:122: error: ‘m_orientation’ was not declared in this scope
make: *** [out/Release/obj.target/webcore_platform/Source/WebCore/platform/graphics/chromium/SimpleFontDataLinux.o] Error 1

Could either one of you let us know what's the correct fix here?  Or land a build fix ASAP?
Comment 18 WebKit Review Bot 2011-03-08 20:18:02 PST
http://trac.webkit.org/changeset/80582 might have broken SnowLeopard Intel Release (Tests) and GTK Linux 32-bit Release